#include "dictionary_for_chinese_printer.h"

DictionaryForChinesePrinter::DictionaryForChinesePrinter(QObject *parent)
    : QObject(parent),
      m_propertyDict(
{
{("letter"),tr("letter"),"信纸"},
{("Page Size"),tr("Page Size"),"大小"},
{("Resolution"),tr("Resolution"),"分辨率"},
{("Paper Source"),tr("Paper Source"),"来源"},
{("Source"),tr("Source"),"来源"},
{("PageType"),tr("PageType"),"纸张类型"},
{("Media Type"),tr("Media Type"),"纸张类型"},
{("Color"),tr("Color"),"颜色"},
{("Direction"),tr("Direction"),"打印方向"},
{("Duplex"),tr("Duplex"),"双面打印"},
{("Pages per Side"),tr("Pages per Side"),"每面页数"},
{("Ink Rank"),tr("Ink Rank"),"墨水等级"},
{("Output Order"),tr("Output Order"),"输出顺序"},
{("legal"),tr("legal"),"法条"},
{("statement"),tr("statement"),"声明"},
{("executive"),tr("executive"),"行政文件"},
{("monarch"),tr("monarch"),"单色"},
{("com10"),tr("com10"),"串口"},
{("auto"),tr("auto"),"自动"},
{("multi-purpose tray"),tr("multi-purpose tray"),"多功能托盘"},
{("drawer 1"),tr("drawer 1"),"纸盒1"},
{("drawer 2"),tr("drawer 2"),"纸盒2"},
{("plain paper"),tr("plain paper"),"普通纸"},
{("left"),tr("left"),"左侧"},
{("right"),tr("right"),"右侧"},
{("top"),tr("top"),"顶部"},
{("bindingedge"),tr("bindingedge"),"装订"},
}),
      m_fixOptions(
{"Resolution","分辨率","Page Size","大小",
"Paper Source","来源","Source","来源",
"PageType","纸张类型","Media Type","纸张类型",
"Color","颜色","Direction","打印方向",
"Duplex","双面打印","Pages per Side","每面页数",
"Ink Rank","墨水等级","Output Order","输出顺序",}
)
{

}

QList<QStringList > DictionaryForChinesePrinter::getPropertyDict()
{
    return m_propertyDict;
}

QStringList DictionaryForChinesePrinter::getFixOptions()
{
    return m_fixOptions;
}
