#ifndef __RENAME_PRINTER_DIALOG_H__
#define __RENAME_PRINTER_DIALOG_H__

#include "custom_dialog.h"
#include "ukui_printer.h"

QT_BEGIN_NAMESPACE
namespace Ui { class RenamePrinterDialog; }
QT_END_NAMESPACE

class RenamePrinterDialog : public CustomDialog
{
    Q_OBJECT
public:
    RenamePrinterDialog(QString printerName = QString(), QWidget *parent = nullptr);
    ~RenamePrinterDialog();
    QString getPrinterName() const;
private:
    Ui::RenamePrinterDialog *ui;
    QString m_printerName{QString()};
    QList<UkuiUsbPrinter> m_printers;

    void acceptButtonClicked();
};

#endif // __RENAME_PRINTER_DIALOG_H__